Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.util.tools
Class ArgHandlerInt

    java.lang.Object
      com.google.gwt.util.tools.ArgHandler
          com.google.gwt.util.tools.ArgHandlerInt

    public abstract class ArgHandlerInt

extends ArgHandler

Argument handler for flags that take an integer as their parameter.

Constructor Summary
`ArgHandlerInt()`

Method Summary
`int` | `handle(java.lang.String[] args, int startIndex)` Attempts to process one flag or "extra" command-line argument (that appears without a flag).
`boolean` | `isRequired()`
`abstract void` | `setInt(int value)`

Methods inherited from class com.google.gwt.util.tools.ArgHandler
`getDefaultArgs, getHelpTag, getPurpose, getTag, getTagArgs, getTags, isExperimental, isUndocumented`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgHandlerInt

    public ArgHandlerInt()

Method Detail

### handle

    public int handle(java.lang.String[] args,
                      int startIndex)

  Description copied from class: `ArgHandler`
  Attempts to process one flag or "extra" command-line argument (that appears without a flag).

  Specified by:
    `handle` in class `ArgHandler`
  Parameters:
    `args` - the arguments passed in to main()
    `startIndex` - an index into args indicating the first argument to use. If this is a handler for a flag argument. Otherwise it's the index of the "extra" argument.
  Returns:
    the number of additional arguments consumed, not including the flag or extra argument. Alternately, returns -1 if the argument cannot be used. This will causes the program to abort and usage to be displayed.

### isRequired

    public boolean isRequired()

  Overrides:
    `isRequired` in class `ArgHandler`

### setInt

    public abstract void setInt(int value)

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD